Skip to main content

## call

The call command allows you to call a function in a DLL. It is somewhat similar to the exec command, but as it does not require spawning extra processes, it is potentially much faster. This command is currently Windows-only and is experimental - the interface may well change in the future. An example of a DLL implementing a function that the command can call can be found in the project source code in the call-dll directory.

Flag | Req'd? | Description
-fnc name | Yes | Name of function to call.
-dll name | Yes | Path/name of DLL containing the function to be called.
-f fields | No | Indexes of fields to be passed to function - default is all fields.
-bs size | No | Size of buffer to use to return values from the DLL function. The size is specified in kilobytes. so -bs 8 would be an 8Kb buffer. The default size is 4Kb.

Created with the Personal Edition of HelpNDoc: Free PDF documentation generator

####